# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'comment', 'model_label': 'comment'},
    {'model_name': 'attachment', 'model_label': 'attachment'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:miscellaneous_{model['model_name']}_add",
        "perms": [f"miscellaneous.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:miscellaneous_{model['model_name']}_changelist",
        "perms": [
            f"miscellaneous.view_{model['model_name']}",
            f"miscellaneous.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'miscellaneous',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'miscellaneous'}},
    'perms': ['miscellaneous.*'],
    'children': children
}]
