# -*- coding: utf-8 -*-

from rest_framework import routers

from . import views

router = routers.SimpleRouter()
router.register(
    r'(?P<profile>\w+)/comment',
    views.CommentViewSet,
)
router.register(
    r'(?P<profile>\w+)/attachment',
    views.AttachmentViewSet,
)
urlpatterns = router.urls
